help = {
    search = 'Verwendung: search(<Suchtext>,<flags>) '..
              '(z.B. search("0042", "rc"))\n\n'..
              "Die Suchfunktion erwartet zwei Argumente.\n"..
              "Das erste Argument ist der Suchtext.\n"..
              "Das zweite Argument sind die Flags:\n"..
              "'d' Suche in Kommentaren\n"..
              "'w' Suche in Kollationen\n"..
              "'c' Suche in Codepoints\n"..
              "'D' Gro\223-/Kleinschreibung beachten bei Kommentaren\n"..
              "'r' Suche mit Regex oder ungenau.\n"..
              "'l1' Suche in Level 1 der Kollationen\n"..
              "'l2' Suche in Level 2 der Kollationen\n"..
              "'l3' Suche in Level 3 der Kollationen\n"..
              "'l4' Suche in Level 4 der Kollationen\n"..
              "(Siehe auch: \'next\', \'previous\', \'selectAll\', \'showItems\', \'addItems\')",
              
    next = 'Verwendung: next\n\n'..
           "Markiert den n\228chsten Treffer der letzten Suche.\n"..
           "(Siehe auch: \'search\', \'previous\', \'selectAll\', \'addItems\')",
           
    previous = 'Verwendung: previous\n\n'..
               "Markiert den vorherigen Treffer der letzten Suche.\n"..
               "(Siehe auch: \'search\', \'next\', \'selectAll\', \'addItems\')",
               
    selectAll = 'Verwendung: selectAll\n\n'..
              "Markiert alle Treffer der letzten Suche.\n"..
              "(Siehe auch: \'search\', \'next\', \'previous\', \'addItems\')",
              
    show = 'Verwendung: show(<Blockname>,<Blockname>,..) (z.B. show("Basic Latin"))\n\n'..
           "Zeigt nur die angegebenen Bl\246cke in der Tabelle an.\n"..
           "(Siehe auch: \'add\', \'hide\', \'clear\')",
           
    add = 'Verwendung: add(<Blockname>,<Blockname>,..) (z.B. show("Basic Latin"))\n\n'..
        "F\252gt die angegebenen Bl\246cke der Tabelle hinzu.\n"..
        "(Siehe auch: \'show\', \'hide\', \'clear\')",
    
    showRange = 'Verwendung: showRange(<start>,<end>) (z.B. show("0","5a"))\n\n'..
        "Zeigt nur die Zeichen an, deren Codepoint in dem angegebenen Bereich liegt.\n"..
        "(Siehe auch: \'addRange\',\'hideRange\')",
        
    addRange = 'Verwendung: addRange(<start>,<end>) (z.B. addRange("0","5a"))\n\n'..
        "F\252gt die Zeichen deren Codepoint in dem angegebenen Bereich liegt der Tabelle hinzu.\n"..
        "(Siehe auch: \'hideRange\', \'showRange\')",
        
    addItems = 'Verwendung: addItems\n\n'..
        "F\252gt die Treffer der letzten Suche der Tabelle hinzu.\n"..
        "(Siehe auch: \'search\', \'showItems\')",
        
    showItems = 'Verwendung: showItems\n\n'..
        "Zeigt nur die Treffer der letzten Suche in der Tabelle an.\n"..
        "(Siehe auch: \'search\', \'addItems\')",
        
    clear = 'Verwendung: clear\n\n'..
              "L\246scht den Inhalt der Tabelle.\n"..
              "(Siehe auch: \'show\', \'showRange\')",
              
    searchTable = 'Verwendung: searchTable(<searchtext>,<flags>) (z.B. searchTable("0000","wl1")\n\n'..
              "Die searchTable Funktion erwartet zwei Argumente.\n"..
              "Das erste Argument ist der Suchtext.\n"..
              "Das zweite Argument sind die Flags:\n"..
              "'d' Suche in den Kommentaren\n"..
              "'w' Suche in den Kollationen\n"..
              "'c' Suche in den Codepoints\n"..
              "'D' Gro\223-/Kleinschreibung beachten bei Kommentaren\n"..
              "'r' Suche als Regex oder ungenau\n"..
              "'l1' Suche in Level 1 der Kollationen\n"..
              "'l2' Suche in Level 2 der Kollationen\n"..
              "'l3' Suche in Level 3 der Kollationen\n"..
              "'l4' Suche in Level 4 der Kollationen\n"..

              "Diese Funktion durchsucht die gesamte Unicode-Tabelle und nicht die angezeigte Tabelle.\n"..
              "Die Treffer werden der angezeigten Tabelle hinzugef\252gt.\n"..
              "(Siehe auch: \'search\')",
              
    addWeightRange = 'Verwendung: addWeightRange(<start>,<end>,<levels>,<indices>)\n'..                
                  "F\252gt die Zeichen der Tabelle hinzu, deren Kollation in dem angegebenen Bereich liegt.\n"..
                  "Das erste Argument ist der Anfang des Bereichs.\n"..
                  "Wenn mehr als ein Level f\252r die Bestimmung des Bereichs verwendet wird,\n"..
                  "werden die Level durch Semikolons getrennt.\n"..
                  "Das zweite Argument ist das Ende des Bereichs.\n"..
                  "Das dritte Argument sind die Flags:\n"..
                  "'s' Die Argumente f\252r Anfang und Ende sind Strings.\n"..
                  "'l1' Bereich \252ber Level 1\n"..
                  "'l2' Bereich \252ber Level 2\n"..
                  "'l3' Bereich \252ber Level 3\n"..
                  "'l4' Bereich \252ber Level 4\n"..
                  "'v'  Die Kollation kann variabel sein\n"..
                  "'n'  Die Kollation kann nicht variabel sein\n"..
                  "Wenn s verwendet wird, k\246nnen die Levelangaben nicht verwendet werden.\n"..
                  "Das vierte Argument gibt die Indizes der Kollation an. Die Indizierung beginnt bei 0.\n"..
                  "Mehrere Indizes k\246nnen mit Semikolons getrennt angegeben werden.\n\n"..
                  "z.B. :\n"..
                  'addWeightRange("FB80;0020","FB85;0040","l1l2","0;1")\n'..
                  "Verwendet den Bereich Level 1 (FB80-FB85) und Level 2 (0020-0040).\n"..
                  "Es werden nur Kollationen aus Spalte 0 und 1 verwendet.\n"..
                  "(Siehe auch: \'showWeightRange\')",
                  
    showWeightRange = "Zeigt nur die Zeichen aus dem Bereich der Kollationen in der Tabelle an.\n"..
                  "Das erste und zweite Argument bestimmt den Bereich.\n"..
                  "Wenn mehr als ein Level f\252r die Bestimmung des Bereichs verwendet wird,\n"..
                  "werden die Level durch Semikolons getrennt.\n"..
                  "Das dritte Argument sind die Flags:\n"..
                  "'s' Die Argumente f\252r Anfang und Ende sind Strings.\n"..
                  "'l1' Bereich \252ber Level 1\n"..
                  "'l2' Bereich \252ber Level 2\n"..
                  "'l3' Bereich \252ber Level 3\n"..
                  "'l4' Bereich \252ber Level 4\n"..
                  "'v'  Die Kollation kann variabel sein\n"..
                  "'n'  Die Kollation kann nicht variabel sein\n"..
                  "Wenn s verwendet wird, k\246nnen die Levelangaben nicht verwendet werden.\n"..
                  "Das vierte Argument gibt die Indizes der Kollation an. Die Indizierung beginnt bei 0.\n"..
                  "Mehrere Indizes k\246nnen mit Semikolons getrennt angegeben werden.\n\n"..
                  "z.B. :\n"..
                  "showWeightRange('FB80;0020','FB85;0040','l1l2','0;1')\n"..
                  "Verwendet den Bereich Level 1 (FB80-FB85) und Level 2 (0020-0040).\n"..
                  "Es werden nur Kollationen aus Spalte 0 und 1 verwendet.\n"..
                  "(Siehe auch: \'addWeightRange\')",
                  
    showGlyph = 'Verwendung: showGlyph(<codepoint>) (z.B. showGlyph("0042"))\n\n'..
              "Zeigt nur das angebene Zeichen in der Tabelle an.\n"..
              "(Siehe auch: \'addGlyph\')",
              
    addGlyph = 'Verwendung: addGlyph(<codepoint>) (z.B. addGlyph("0042"))\n\n'..
              "F\252gt das angegebene Zeichen der Tabelle hinzu.\n"..
              "(Siehe auch: \'showGlyph\')",
              
    hideRange = 'Verwendung: hideRange(<start>,<end>) (z.B. hideRange("10","20"))\n\n'..
              "Entfernt die Zeichen aus der Tabelle, deren Codepoint im angegebenen Bereich liegt.\n"..
              "(Siehe auch: \'showRange\')",
              
    hideGlyph = 'Verwendung: hideGlyph(<codepoint>) (z.B. hideGlyph("0042"))\n\n'..
              "Entfernt das angegebene Zeichen aus der Tabelle.\n"..
              "(Siehe auch: \'showGlyph\', \'addGlyph\')",
              
    hide = 'Verwendung: hide(<Blockname>,<Blockname>,...) (z.B. hide("Basic Latin"))\n\n'..
              "Entfernt die angegebenen Bl\246cke aus der Tabelle.\n"..
              "(Siehe auch: \'show\', \'add\')",
              
    numberOfHits = 'Verwendung: numberOfHits\n\n'..
        "Zeigt die Anzahl der Suchtreffer an.",
        
    scrollTo = 'Verwendung: scrollTo(<codepoint>) (z.B. scrollTo("0041"))\n\n'..
              'Scrollt zu dem Zeichen in der Tabelle mit den angegebenen Codepoint.'        
}


errors = {
    nextNoMore = "Keine weiteren Suchtreffer vorhanden.",
    
    previousNoMore = "Keine vorherigen Suchtreffer vorhanden.",
}

messages = { numberOfHits = " Suchtreffer" }
