help = {
    search = 'Usage: search(<searchtext>,<flags>) '..
              '(e.g. search("0042", "rc"))\n\n'..
              "The search function has two parameters.\n"..
              "The first parameter is the search string.\n"..
              "The second parameter are the search flags:\n"..
              "'d' Search in the comments\n"..
              "'w' Search in collation\n"..
              "'c' Search codepoints\n"..
              "'D' Case sensitive\n"..
              "'r' Search as regular expression or imprecise\n"..
              "'l1' Search in level 1 of weights\n"..
              "'l2' Search in level 2 of weights\n"..
              "'l3' Search in level 3 of weights\n"..
              "'l4' Search in level 4 of weights\n"..
              "(see also \'next\', \'previous\', \'selectAll\', \'showItems\', \'addItems\')",
              
    next = 'Usage: next\n\n'..
           "Select and shows the next letter that was hit by the search function.\n"..
           "(see also \'search\', \'previous\', \'selectAll\', \'addItems\')",
           
    previous = 'Usage: previous\n\n'..
               "Select the previous letter that was found by the search function.\n"..
               "(see also \'search\', \'next\', \'selectAll\', \'addItems\')",
               
    selectAll = 'Usage: selectAll\n\n'..
              "Select all letters that were hit by the search function.\n"..
              "(see also \'search\', \'next\', \'previous\', \'addItems\')",
              
    show = 'Usage: show(<Blockname>,<Blockname>,..) (e.g. show("Basic Latin"))\n\n'..
           "Show only the given blocks.\n"..
           "(see also \'add\', \'hide\', \'clear\')",
           
    add = 'Usage: add(<Blockname>,<Blockname>,..) (e.g. show("Basic Latin"))\n\n'..
        "Adds the given blocks to the visible table.\n"..
        "(see also \'show\', \'hide\', \'clear\')",
    
    showRange = 'Usage: showRange(<start>,<end>) (e.g. show("0","5a"))\n\n'..
        "Show only the letters between the range of two codepoints.\n"..
        "(see also \'addRange\',\'hideRange\')",
        
    addRange = 'Usage: addRange(<start>,<end>) (e.g. addRange("0","5a"))\n\n'..
        "Appends all letters between the range of two codepoints to the visible table.\n"..
        "(see also \'hideRange\', \'showRange\')",
        
    addItems = 'Usage: addItems\n\n'..
        "Appends the letters that were found by the last search to the table.\n"..
        "(see also \'search\', \'showItems\')",
        
    showItems = 'Usage: showItems\n\n'..
        "Shows only the letters that were found by the last search in the table.\n"..
        "(see also \'search\', \'addItems\')",
        
    clear = 'Usage: clear\n\n'..
              "Clears the visible table.\n"..
              "(see also \'show\', \'showRange\')",
              
    searchTable = 'Usage: searchTable(<searchtext>,<flags>) (e.g. searchTable("0000","wl1")\n\n'..
              "The searchTable function has two arguments.\n"..
              "The first argument is the search string.\n"..
              "The second Argument are the search flags:\n"..
              "'d' Search in the comments\n"..
              "'w' Search in collation\n"..
              "'c' Search codepoints\n"..
              "'D' Case sensitive\n"..
              "'r' Search as regular expression\n"..
              "'l1' Search in level 1 of weights\n"..
              "'l2' Search in level 2 of weights\n"..
              "'l3' Search in level 3 of weights\n"..
              "'l4' Search in level 4 of weights\n"..

              "This function searches in the table of the unicode file and not in the visible table.\n"..
              "The result is added to the visible table.\n"..
              "(see also \'search\')",
              
    addWeightRange = 'Usage: addWeightRange(<start>,<end>,<levels>,<indices>)\n'..                
                  "Appends letters by ranging over their collations to the visible table.\n"..
                  "The first parameter is the beginning of the range.\n"..
                  "If more than one level is used to range the weights,\n"..
                  "then the different ranges are seperated by a semicolon.\n"..
                  "The second argument is the end of the range.\n"..
                  "The third argument are the flags of the range:\n"..
                  "'s' The beginning and the end argument are strings.\n"..
                  "'l1' Ranged by level 1\n"..
                  "'l2' Ranged by level 2\n"..
                  "'l3' Ranged by level 3\n"..
                  "'l4' Ranged by level 4\n"..
                  "'v'  The collation can be variable\n"..
                  "'n'  The collation can't be variable\n"..
                  "If s is chosen, the range by level can't be used.\n"..
                  "The fourth argument are the indices of the collation. The indicies start at 0.\n"..
                  "Multiple collation indices can be used with semicolons.\n\n"..
                  "e.g. :\n"..
                  'addWeightRange("FB80;0020","FB85;0040","l1l2","0;1")\n'..
                  "Ranges over Level 1 (FB80-FB85) and Level 2 (0020-0040).It uses only the collations"..
                  "in column 0 and 1\n"..
                  "(see also \'showWeightRange\')",
                  
    showWeightRange = "Shows only the letters by ranging over their collations in the visible table\n"..
                  "The first and second argument are the beginning and end of the ranges.\n"..
                  "If more than one level is used to range the weights,\n"..
                  "then the different ranges are seperated by a semicolon.\n"..
                  "The third argument are the flags of the range:\n"..
                  "'s' The beginning and the end argument are strings.\n"..
                  "'l1' Ranged by level 1\n"..
                  "'l2' Ranged by level 2\n"..
                  "'l3' Ranged by level 3\n"..
                  "'l4' Ranged by level 4\n"..
                  "'v'  The collation can be variable\n"..
                  "'n'  The collation can't be variable\n"..
                  "If s is chosen, the range by level can't be used.\n"..
                  "The fourth argument are the indices of the collation. The indicies start at 0.\n"..
                  "Multiple collation indices can be used with semicolons.\n\n"..
                  "Example:\n"..
                  "showWeightRange('FB80;0020','FB85;0040','l1l2','0;1')\n"..
                  "Ranges over Level 1 (FB80-FB85) and Level 2 (0020-0040).It uses only the collations"..
                  "in column 0 and 1\n"..
                  "(see also \'addWeightRange\')",
                  
    showGlyph = 'Usage: showGlyph(<codepoint>) (e.g. showGlyph("0042"))\n\n'..
              "Show only one glyph in the table.\n"..
              "(see also \'addGlyph\')",
              
    addGlyph = 'Usage: addGlyph(<codepoint>) (e.g. addGlyph("0042"))\n\n'..
              "Appends one glyph to the visible table.\n"..
              "(see also \'showGlyph\')",
              
    hideRange = 'Usage: hideRange(<start>,<end>) (e.g. hideRange("10","20"))\n\n'..
              "Hides all letters between the range of two codepoints.\n"..
              "(see also \'showRange\')",
              
    hideGlyph = 'Usage: hideGlyph(<codepoint>) (e.g. hideGlyph("0042"))\n\n'..
              "Hides a glyph from the visible table.\n"..
              "(see also \'showGlyph\', \'addGlyph\')",
              
    hide = 'Usage: hide(<Blockname>,<Blockname>,...) (e.g. hide("Basic Latin"))\n\n'..
              "Hides the given blocks.\n"..
              "(see also \'show\', \'add\')",
              
    numberOfHits = 'Usage: numberOfHits\n\n'..
        "Shows the number of hits for the search.",
        
    scrollTo = 'Usage: scrollTo(<codepoint>) (e.g. scrollTo("0041"))\n\n'..
              'Go to the codepoint.'        
}


errors = {
    nextNoMore = "No more elements for next.",
    
    previousNoMore = "No more elements for previous.",
}

messages = { numberOfHits = " Hits" }